Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# QoS_Decorator.h File Reference

`#include "ace/Reactor.h"`
`#include "ace/INET_Addr.h"`
`#include "ace/Event_Handler.h"`
`#include "SOCK_Dgram_Mcast_QoS.h"`
`#include "ACE_QoS_Export.h"`

Include dependency graph for QoS_Decorator.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_QoS_Decorator_Base
| This class is the Decorator Pattern Base class for decorating ACE_Event_Handler. More...
class | ACE_QoS_Event_Handler
| This Handler is registered with the Reactor for QoS events. More...
class | ACE_QoS_Decorator
| Concrete QoS Decorator. More...

## Detailed Description

Id
  QoS_Decorator.h,v 1.3 2005/12/08 22:25:45 ossama Exp

Author:
  Vishal Kachroo <vishal@cs.wustl.edu>